Subject: [Anima] I-D Action: draft-ietf-anima-constrained-join-proxy-07.txt

From: [email-masked]
Date: Fri, 25 Mar 2022 00:49:45 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Autonomic Networking Integrated Model and Approach WG of the IETF.

        Title           : Constrained Join Proxy for Bootstrapping Protocols
        Authors         : Michael Richardson
                          Peter van der Stok
                          Panos Kampanakis
	Filename        : draft-ietf-anima-constrained-join-proxy-07.txt
	Pages           : 21
	Date            : 2022-03-25

Abstract:
   This document defines a protocol to securely assign a Pledge to a
   domain, represented by a Registrar, using an intermediary node
   between Pledge and Registrar.  This intermediary node is known as a
   "constrained Join Proxy".  An enrolled Pledge can act as a
   constrained Join Proxy.

   This document extends the work of Bootstrapping Remote Secure Key
   Infrastructures (BRSKI) by replacing the Circuit-proxy between Pledge
   and Registrar by a stateless/stateful constrained Join Proxy.  It
   relays join traffic from the Pledge to the Registrar.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-anima-constrained-join-proxy/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-anima-constrained-join-proxy-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-anima-constrained-join-proxy-07

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: Peter van der Stok <[email-masked]>
Date: Fri, 25 Mar 2022 08:54:16 +0100

Hi WG,

A new version of constrained-join-proxy is submitted that includes the 
results of the AD review by Rob Wilton.

Greetings,

Peter
[email-masked] schreef op 2022-03-25 08:49:

> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Fri, 25 Mar 2022 09:56:33 +0000

Hi Peter,

Thanks for the update.  I would suggest rewording this added paragraph slightly.

OLD:

   Three discovery cases are discussed: Join Proxy discovers Registrar,
   Pledge discovers Registrar, and Pledge discovers Join Proxy.  Each
   discovery case considers three alternatives: CoAP discovery, GRASP
   discovery, and 6tisch discovery.  It depends on the type of
   installation which discovery mechanisms are offered.  It can be
   imagined that manufacturers provide the pledge/join-proxy with more
   than one discovery mechanism.  The pledge/join-proxy can try one
   after the other mechanism untill success is reached.  Alternatively,
   at installation a switch is set to determine the discovery mechanism.

PROPOSED:

   Three discovery cases are discussed: Join Proxy discovers Registrar,
   Pledge discovers Registrar, and Pledge discovers Join Proxy.  Each
   discovery case considers three alternatives: CoAP based discovery,
   GRASP Based discovery, and 6tisch based discovery.  The choice of
   discovery mechanism depends on the type of installation, and
   manufacturers can provide the pledge/join-proxy with support for
   more than one discovery mechanism.  The pledge/join-proxy can be
  designed to dynamically try different discovery mechanisms until
   a successful discovery mechanism is found, or the choice of
   discovery mechanism could be configured during device installation.

If you agree, then please can you post an updated version and I will kick off an IETF LC.

Regards,
Rob

From: Peter van der Stok <[email-masked]>
Sent: 25 March 2022 08:54
To: [email-masked]
Cc: Rob Wilton (rwilton) <[email-masked]>
Subject: Re: [Anima] I-D Action: draft-ietf-anima-constrained-join-proxy-07.txt

Hi WG,

A new version of constrained-join-proxy is submitted that includes the results of the AD review by Rob Wilton.

Greetings,

Peter

[email-masked]<mailto:[email-masked]> schreef op 2022-03-25 08:49:

Abstract:

_______________________________________________
Anima mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/anima